[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLScript.UseSetTerm

Should the SET TERM directive be recognized

## Declaration

Source position: sqldb.pp line 754

`published property TSQLScript.UseSetTerm;`

## Description

UseSetTerm can be set to True to let TSQLScript automatically handle the SET TERM directive and set the TSQLSCript.Terminator character based on the value specified in the SET TERM directive. This means that the following directive:

    SET TERM ^ ;

will set the terminator to the caret character. Conversely, the

    SET TERM ; ^

will then switch the terminator character back to the commonly used semicolon (;).

## See also

TSQLSCript.Terminator |  | Terminator character.
TSQLSCript.Script |  | The script to execute
TSQLSCript.Directives |  | List of directives